# ![smeserver-koji](https://www.koozali.org/images/koozali/Logo/Png/Koozali_logo_2016.png)

## Koji Plugins used by Koozali in our setup

To install these plugins:

Copy the tag2distrepo.py and sign.py programs into /usr/lib/koji-hub-plugins

Set the configurations as per the directions for each plugin below

Edit the following settings in /etc/koji-hub/hub.conf to enable the plugins:

    PluginPath = /usr/lib/koji-hub-plugins
    Plugins = tag2distrepo sign

Reload Apache

    $ systemctl reload httpd

### koji-plugin-sign

Automagically sign rpms with our key after successful build

This is a slightly modified version of the OSG Software Teams koji-hub plugin which can be found at <https://github.com/osg-htc/koji-plugin-sign>

Make sure that the koji-sign selinux policy is installed and enabled

    semodule --list-modules=full | grep koji-sign

Ensure that httpd can use tty

    getsebool daemons_use_tty
    daemons_use_tty --> on

If not --> on, set it

    setsebool -P daemons_use_tty 1

Copy your gpg keys etc. into /etc/koji-hub/gnupgp

Copy sign.conf into /etc/koji-hub-plugins

Edit /etc/koji-hub-plugins/sign.conf to have the correct gpg key names for each tag

### tag2distrepo

This is a koji-hub plugin available in the default koji installation

It will create an external repository for any tag when a new build is completed in, or a build is attached to (tag-build) a tag

Set the extra options on the tag so the plugin will generate the repository:

    koji edit-tag -x tag2distrepo.enabled=True -x tag2distrepo.keys='44922a28' smecontribs11

You can check by doing:

    koji taginfo smecontribs11

and you should see

    Tag: smecontribs11 [38]
    Arches: x86_64
    Groups: 
    Tag options:
      mock.bootstrap_image : 'rockylinux:8'
      mock.package_manager : 'dnf'
      rpm.macro.dist : '.el8.sme'
      rpm.macro.distribution : 'SME Server v11'
      rpm.macro.packager : 'Koozali.org <http://www.koozali.org>'
      rpm.macro.vendor : 'Koozali.org <http://www.koozali.org>'
      tag2distrepo : '44922a28'
      tag2distrepo.enabled : True
    Inheritance:
